Issue #14678 has been updated by masutaka (Takashi Masuda).


I avoided this problem by reinstalling vendor/bundle. My OS is macOS High Sierra.

I guess vendor/bundle/ruby/2.5.0/gems/pg-0.21.0/lib/pg_ext.bundle is inconsistent.

After I overwrote with the pg_ext.bundle made in ruby-2.5.0, it reproduced.



----------------------------------------
Bug #14678: Segmentation fault in pg
https://bugs.ruby-lang.org/issues/14678#change-74577

* Author: ttanimichi (Tsukuru Tanimichi)
* Status: Feedback
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-darwin16]
* Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: UNKNOWN
----------------------------------------
This error don't reproduce in Ruby 2.5.0 but reproduce in 2.5.1

~~~
$ bundle ex rspec
/Users/tanimichi.tsukuru/ghq/github.com/moneyforward/moneyplus/vendor/bundle/ruby/2.5.0/gems/pg-0.21.0/lib/pg.rb:56: [BUG] Segmentation fault at 0x0000000000000000
(snip)
Abort trap: 6
~~~

---Files--------------------------------
ruby_2018-04-11-182206_mf-C0037-mm01.crash (37.1 KB)
bug-14678.log (319 KB)
ruby_2018-05-09-135249_iains-MacBook-Air.crash (25.7 KB)
rails_2018-8-13.crash (13.2 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>